Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.commons
[Java] Class AnnotationDomainClassArtefactHandler

    java.lang.Object
      org.codehaus.groovy.grails.commons.ArtefactHandlerAdapter
          org.codehaus.groovy.grails.commons.DomainClassArtefactHandler
              org.codehaus.groovy.grails.commons.AnnotationDomainClassArtefactHandler

    public class AnnotationDomainClassArtefactHandler
    extends DomainClassArtefactHandler

Detects annotated domain classes for EJB3 style mappings.

Authors:
  Graeme Rocher

Since:
  1.0

Field Summary

Fields inherited from class DomainClassArtefactHandler
TYPE

Fields inherited from class ArtefactHandlerAdapter
log

Method Summary
`java.util.Set` | `getJpaClassNames()`
`boolean` | `isArtefactClass(java.lang.Class clazz)`
`static boolean` | `isJPADomainClass(java.lang.Class clazz)`
`GrailsClass` | `newArtefactClass(java.lang.Class artefactClass)`

Methods inherited from class DomainClassArtefactHandler
initialize, isArtefactClass, isDomainClass, isDomainClass, newArtefactClass, setGrailsApplication

Methods inherited from class ArtefactHandlerAdapter
getArtefactForFeature, getPluginName, getType, initialize, isArtefact, isArtefactClass, isArtefactGrailsClass, newArtefactClass

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### getJpaClassNames

    public java.util.Set getJpaClassNames()

### isArtefactClass

    @java.lang.Override
    public boolean isArtefactClass(@java.lang.SuppressWarnings("rawtypes") java.lang.Class clazz)

### isJPADomainClass

    public static boolean isJPADomainClass(java.lang.Class clazz)

### newArtefactClass

    @java.lang.Override
    public GrailsClass newArtefactClass(@java.lang.SuppressWarnings("rawtypes") java.lang.Class artefactClass)

Groovy Documentation